//========================================================================================
//
//	File:				FWIntere.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWINTERE_H
#define FWINTERE_H

#ifndef FWSTDDEF_H
#include "FWStdDef.h"
#endif

#ifndef FWNOTDEF_H
#include "FWNotDef.h"
#endif

//========================================================================================
// Forward declarations
//========================================================================================

class FW_MNotifier;

//========================================================================================
// CLASS FW_CInterest
//========================================================================================

class FW_CInterest
{
public:
	FW_CInterest();
	FW_CInterest(FW_MNotifier* notifier, FW_Message msg);
	FW_CInterest(const FW_CInterest& other);
	
	~FW_CInterest();
	
	FW_CInterest&		operator=(const FW_CInterest& other);
	FW_Boolean			operator==(const FW_CInterest& other) const;
	
	FW_Message			GetMessage() const;
	FW_MNotifier*		GetNotifier() const;
	
private:
	FW_Message			fMessage;
	FW_MNotifier*		fNotifier;
};

//========================================================================================
// Inlines
//========================================================================================

//----------------------------------------------------------------------------------------
// FW_CInterest::GetName
//----------------------------------------------------------------------------------------

inline FW_Message FW_CInterest::GetMessage() const
{
	return fMessage;
}

//----------------------------------------------------------------------------------------
// FW_CInterest::GetNotifier
//----------------------------------------------------------------------------------------

inline FW_MNotifier* FW_CInterest::GetNotifier() const
{
	return fNotifier;
}

#endif
