//========================================================================================
//
//	File:				FWNotDef.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWNOTDEF_H
#define FWNOTDEF_H

// FW_Message type describes the kind of notification sent by a Notifier to a Receiver
// (defined here instead of "FWStdDef.h" because "FWNotDef.h" is included in .fr files)
typedef 	long	FW_Message; 

// ODF reserves negative values for its notification messages

// Values which can be used in your view resources
const FW_Message	FW_kNullMsg					= 0;
const FW_Message	FW_kButtonPressedMsg		= -10;	// standard msg for buttons
const FW_Message	FW_kDefaultButtonMsg		= -12;	// reserved for dialogs
const FW_Message	FW_kCancelButtonMsg			= -13;	// reserved for dialogs
const FW_Message	FW_kPopupClickedMsg			= -20;	// standard msg for popup menus
const FW_Message	FW_kListBoxDoubleClickedMsg	= -30;	// standard msg for list-boxes

// Values which cannot be used directly in your view resources
const FW_Message	FW_kScrollMsg		 		= -100;	
const FW_Message	FW_kRadioClusterMsg			= -101;
const FW_Message	FW_kNotifierDeletedMsg		= -102;	

#endif		


