//========================================================================================
//
//	File:				FWNotifi.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWNOTIFI_H
#define FWNOTIFI_H

#ifndef FWSTDDEF_H
#include "FWStdDef.h"
#endif

#ifndef FWINTERE_H
#include "FWIntere.h"
#endif

//========================================================================================
// Forward declarations
//========================================================================================

class FW_CInterest;
class FW_MNotifier;

//========================================================================================
// CLASS FW_CNotification
//========================================================================================

class FW_CNotification
{
public:
	FW_DECLARE_CLASS

	FW_CNotification();
	FW_CNotification(const FW_CInterest& interest);
	FW_CNotification(const FW_CNotification& other);
	virtual			~FW_CNotification();
	
	FW_Boolean			operator==(const FW_CNotification& other);
	FW_CNotification&	operator=(const FW_CNotification& other);

	FW_CInterest*		GetInterest() const;
	void				SetInterest(const FW_CInterest& interest);
	FW_Message			GetMessage() const;
	FW_MNotifier*		GetNotifier() const;

private:
	FW_CInterest*		fInterest;
};

//----------------------------------------------------------------------------------------
// FW_CNotification::GetInterest
//----------------------------------------------------------------------------------------

inline FW_CInterest* FW_CNotification::GetInterest() const
{
	return fInterest;
}

//----------------------------------------------------------------------------------------
// FW_CNotification::GetMessage
//----------------------------------------------------------------------------------------

inline FW_Message FW_CNotification::GetMessage() const
{
	return fInterest->GetMessage();
}

//----------------------------------------------------------------------------------------
// FW_CNotification::GetNotifier
//----------------------------------------------------------------------------------------

inline FW_MNotifier* FW_CNotification::GetNotifier() const
{
	return fInterest->GetNotifier();
}

#endif
